title: MultiBlock
---

A MultiBlock is a set of other VTK data structures.

## Structure

```js
{
  "vtkMultiBlock": {
    "Blocks": {
      "Element Blocks": {
        "MultiBlock": {
          "Blocks": {
            "Unnamed block ID: 1 Type: HEX8": {
              "UnstructuredGrid": {
                "CellData": {
                  "GlobalElementId": {
                    "name": "GlobalElementId",
                    "tuple": 1,
                    "dataType": "Uint32Array",
                    "ranges": [{
                      "max": 7472,
                      "component": null,
                      "min": 1
                    }],
                    "type": "vtkDataArray",
                    "size": 7472,
                    "values": Uint32Array[...],
                  },
                  "ObjectId": {
                    "name": "ObjectId",
                    "tuple": 1,
                    "dataType": "Int32Array",
                    "ranges": [{
                      "max": 1,
                      "component": null,
                      "min": 1
                    }],
                    "type": "vtkDataArray",
                    "size": 7472,
                    "values": Int32Array[...],
                  }
                },
                "FieldData": {
                  "ElementBlockIds": {
                    "name": "ElementBlockIds",
                    "tuple": 1,
                    "dataType": "Int32Array",
                    "ranges": [{
                      "max": 1,
                      "component": null,
                      "min": 1
                    }],
                    "type": "vtkDataArray",
                    "size": 1,
                    "values": Int32Array[],
                  },
                  "Info_Records": {
                    "name": "Info_Records",
                    "tuple": 81,
                    "dataType": "Int8Array",
                    "ranges": [{
                      "max": 115,
                      "component": null,
                      "min": 67
                    }, {
                      "max": 117,
                      "component": null,
                      "min": 69
                    }, {
                      "max": 109,
                      "component": null,
                      "min": 77
                    }, {
                      "max": 115,
                      "component": null,
                      "min": 32
                    }, {
                      "max": 117,
                      "component": null,
                      "min": 73
                    }, {
                      "max": 110,
                      "component": null,
                      "min": 58
                    }, {
                      "max": 112,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 117,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 116,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 97,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 102,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 116,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 108,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 110,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 103,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 48,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 102,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 109,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 111,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 119,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 107,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 99,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 111,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 120,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 111,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 73,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 102,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 111,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 114,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 32,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 77,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 73,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 77,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 68,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 32,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 109,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 97,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 99,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 104,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 105,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 110,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 101,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 115,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 616.6781980903817,
                      "component": null,
                      "min": 245.55243839147678
                    }],
                    "type": "vtkDataArray",
                    "size": 810,
                    "buffer": {},
                    "values": Int8Array[],
                  },
                  "QA_Records": {
                    "name": "QA_Records",
                    "tuple": 33,
                    "dataType": "Int8Array",
                    "ranges": [{
                      "max": 115,
                      "component": null,
                      "min": 48
                    }, {
                      "max": 117,
                      "component": null,
                      "min": 46
                    }, {
                      "max": 118,
                      "component": null,
                      "min": 47
                    }, {
                      "max": 115,
                      "component": null,
                      "min": 32
                    }, {
                      "max": 97,
                      "component": null,
                      "min": 36
                    }, {
                      "max": 114,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 111,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 118,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 105,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 115,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 105,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 111,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 110,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 58,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 32,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 50,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 46,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 50,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 48,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 32,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 36,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 0,
                      "component": null,
                      "min": 0
                    }, {
                      "max": 373.9545426920229,
                      "component": null,
                      "min": 143.55138452832838
                    }],
                    "type": "vtkDataArray",
                    "size": 396,
                    "buffer": {},
                    "values": Int8Array[],
                  },
                  "Title": {
                    "name": "Title",
                    "tuple": 1,
                    "dataType": "JSON",
                    "type": "StringArray",
                    "size": 1,
                    "buffer": "[\"cubit({Gen_out_name}): 02/06/96: 14:45:48\"]",
                    "values": ["cubit({Gen_out_name}): 02/06/96: 14:45:48"]
                  }
                },
                "Cells": {
                  "name": null,
                  "tuple": 1,
                  "dataType": "Uint32Array",
                  "ref": {
                    "encode": "LittleEndian",
                    "basepath": "data",
                    "id": "8c4b4d7d9d0c5a202cb1c484be94b9b5"
                  },
                  "ranges": [{
                    "max": 8498,
                    "component": null,
                    "min": 0
                  }],
                  "type": "vtkDataArray",
                  "size": 67248
                },
                "PointData": {
                  "PedigreeNodeId": {
                    "name": "PedigreeNodeId",
                    "tuple": 1,
                    "dataType": "Uint32Array",
                    "ranges": [{
                      "max": 8499,
                      "component": null,
                      "min": 1
                    }],
                    "type": "vtkDataArray",
                    "size": 8499,
                    "buffer": {},
                    "values": Uint32Array[],
                  },
                  "Temp": {
                    "name": "Temp",
                    "tuple": 1,
                    "dataType": "Float64Array",
                    "ranges": [{
                      "max": 913.1500244140625,
                      "component": null,
                      "min": 293.1499938964844
                    }],
                    "type": "vtkDataArray",
                    "size": 8499,
                    "buffer": {},
                    "values": Float64Array[],
                  },
                  "CH4": {
                    "name": "CH4",
                    "tuple": 1,
                    "dataType": "Float64Array",
                    "ranges": [{
                      "max": 0.0011702391784638166,
                      "component": null,
                      "min": 0
                    }],
                    "type": "vtkDataArray",
                    "size": 8499,
                    "buffer": {},
                    "values": Float64Array[],
                  },
                  "V": {
                    "name": "V",
                    "tuple": 3,
                    "dataType": "Float64Array",
                    "ranges": [{
                      "max": 19.949113845825195,
                      "component": null,
                      "min": -19.949113845825195
                    }, {
                      "max": 19.949113845825195,
                      "component": null,
                      "min": -19.949113845825195
                    }, {
                      "max": 6.7119011878967285,
                      "component": null,
                      "min": -21.1259765625
                    }, {
                      "max": 22.418820167105352,
                      "component": null,
                      "min": 0
                    }],
                    "type": "vtkDataArray",
                    "size": 25497,
                    "buffer": {},
                    "values": Float64Array[],
                  },
                  "AsH3": {
                    "name": "AsH3",
                    "tuple": 1,
                    "dataType": "Float64Array",
                    "ranges": [{
                      "max": 0.18483947217464447,
                      "component": null,
                      "min": 0.08047682046890259
                    }],
                    "type": "vtkDataArray",
                    "size": 8499,
                    "buffer": {},
                    "values": Float64Array[],
                },
                "CellTypes": {
                  "name": null,
                  "tuple": 1,
                  "dataType": "Uint8Array",
                  "ref": {
                    "encode": "LittleEndian",
                    "basepath": "data",
                    "id": "787ae9aaf92359e3c463e8c31af8055c"
                  },
                  "ranges": [{
                    "max": 12,
                    "component": null,
                    "min": 12
                  }],
                  "type": "vtkDataArray",
                  "size": 7472
                },
                "Points": {
                  "name": "_points",
                  "tuple": 3,
                  "dataType": "Float32Array",
                  "ref": {
                    "encode": "LittleEndian",
                    "basepath": "data",
                    "id": "cc71caca0dbd4ad280f158e1fb6381df"
                  },
                  "ranges": [{
                    "max": 5.75,
                    "component": null,
                    "min": -5.75
                  }, {
                    "max": 5.75,
                    "component": null,
                    "min": -5.75
                  }, {
                    "max": 10.15999984741211,
                    "component": null,
                    "min": -10
                  }, {
                    "max": 11.674249364964295,
                    "component": null,
                    "min": 4.440892098500626e-16
                  }],
                  "type": "vtkDataArray",
                  "size": 25497
                }
              },
              "type": "UnstructuredGrid"
            }
          }
        },
        "type": "MultiBlock"
      },
      "Node Sets": {
        "MultiBlock": {
          "Blocks": {}
        },
        "type": "MultiBlock"
      },
      "Element Sets": {
        "MultiBlock": {
          "Blocks": {}
        },
        "type": "MultiBlock"
      },
      "Edge Blocks": {
        "MultiBlock": {
          "Blocks": {}
        },
        "type": "MultiBlock"
      },
      "Edge Sets": {
        "MultiBlock": {
          "Blocks": {}
        },
        "type": "MultiBlock"
      },
      "Face Blocks": {
        "MultiBlock": {
          "Blocks": {}
        },
        "type": "MultiBlock"
      },
      "Face Sets": {
        "MultiBlock": {
          "Blocks": {}
        },
        "type": "MultiBlock"
      },
      "Side Sets": {
        "MultiBlock": {
          "Blocks": {}
        },
        "type": "MultiBlock"
      }
    }
  },
  "type": "vtkMultiBlock",
  "metadata": {
    "name": "disk_out_ref.ex2"
  }
}
```
